## DhSearchBar DhSearchBar — Subclass of GtkSearchBar to search in DhWebView's |

## Functions

DhSearchBar * | dh_search_bar_new ()
DhNotebook * | dh_search_bar_get_notebook ()

## Properties

DhNotebook * | notebook | Read / Write / Construct Only

## Types and Values

struct | DhSearchBar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkSearchBar
                            ╰── DhSearchBar

## Implemented Interfaces

DhSearchBar implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <devhelp/devhelp.h>

## Description

DhSearchBar is a subclass of GtkSearchBar, meant to be shown above a DhNotebook. There is only one DhSearchBar for the whole DhNotebook, it applies the same search text to all the DhWebView's (lazily, when the tab is shown).

(A different way to implement the search for the DhWebView's would be to have a different GtkSearchEntry for each DhWebView, with the GtkSearchEntry shown inside the DhTab; in that case DhSearchBar won't help you).

## Functions

### dh_search_bar_new ()

    DhSearchBar *
    dh_search_bar_new (DhNotebook *notebook);

#### Parameters

notebook | a DhNotebook. |

#### Returns

a new DhSearchBar.

[transfer floating]

Since: 3.30

### dh_search_bar_get_notebook ()

    DhNotebook *
    dh_search_bar_get_notebook (DhSearchBar *search_bar);

#### Parameters

search_bar | a DhSearchBar. |

#### Returns

the “notebook”.

[transfer none]

Since: 3.30

## Types and Values

### struct DhSearchBar

    struct DhSearchBar;

## Property Details

### The `“notebook”` property

      “notebook”                 DhNotebook *

The associated DhNotebook. DhSearchBar has a strong reference to the DhNotebook.

Flags: Read / Write / Construct Only

Since: 3.30